@echo off
echo.
echo 请确保以管理员身份运行本程序，并且待替换文件在同目录下(如果不是请关闭本程序)。
echo 全自动替换 explorer.exe或explorer_bak.exe ，任意键继续 ……
pause>nul
echo 初始化中，检查原目录中是否存在explorer.exe文件或是否存在explorer_bak.exe文件
IF not EXIST %1 goto 4
echo explorer_bak.exe文件存在，准备替换explorer_bak.exe文件 
goto 5
:5
echo 替换第一步，关闭任务管理器中的explorer.exe进程，中间会有屏幕闪烁，属正常现象
echo explorer.exe已关闭！
taskkill /im explorer.exe /f
echo.
echo 替换第二步，获取管理员权限 ...
takeown /f C:\windows\explorer.exe /a
icacls C:\windows\explorer.exe /grant administrators:F /t
echo.
move C:\windows\explorer.exe %2
move %1 C:\windows\explorer.exe || echo 移动失败
echo 正在开启explorer.exe进程，请稍后——
start "" "c:\windows\explorer.exe"
echo explorer_bak.exe替换完成，原explorer.exe已移动到原目录下，若想替换回来请再次拖入文件
goto 2
:4
echo explorer_bak.exe文件不存在,准备检测explorer.exe文件
goto 6
:6
IF not EXIST %1 goto 1
echo explorer.exe文件存在！ 
goto 3
:1
echo explorer.exe文件不存在,结束本程序！
goto 2
:3
echo 替换第一步，关闭任务管理器中的explorer.exe进程，中间会有屏幕闪烁，属正常现象
echo explorer.exe已关闭！
taskkill /im explorer.exe /f
echo.
echo 替换第二步，获取管理员权限 ...
takeown /f C:\windows\explorer.exe /a
icacls C:\windows\explorer.exe /grant administrators:F /t
echo.
echo %2explorer_bak.exe,看到绝对路径请继续
pause
move C:\windows\explorer.exe %2explorer_bak.exe
move %1 C:\windows\ || echo 移动失败
echo 正在开启explorer.exe进程，请稍后——
start "" "c:\windows\explorer.exe"
echo explorer.exe替换完成，原explorer.exe已重命为explorer_bak.exe且移动到原目录下，若想还原请再次拖入备份文件
:2
pause